---
-- Name: HUNAf AEROSPACE defence units
-- Author: VRS-407 Slayer
-- Date Created: 02 October 2022
-- 
-- 
do
---------------------------------------------------RED------------------------------------------------------

--create the red air defence system
redIADS = SkynetIADS:create('Redfor Air defence forces')

--predefine EW & SAM-s
redIADS:addSAMSitesByPrefix('RED-SAM')
redIADS:addEarlyWarningRadarsByPrefix('RED-EW')

--predefine SAM go live ranges
redIADS:getSAMSitesByNatoName('SA-2'):setGoLiveRangeInPercent(170):setHARMDetectionChance(2)
redIADS:getSAMSitesByNatoName('SA-3'):setGoLiveRangeInPercent(170):setHARMDetectionChance(2)
redIADS:getSAMSitesByNatoName('SA-6'):setGoLiveRangeInPercent(120):setHARMDetectionChance(2)
redIADS:getSAMSitesByNatoName('SA-8'):setGoLiveRangeInPercent(140):setHARMDetectionChance(2)
redIADS:getSAMSitesByNatoName('SA-10'):setActAsEW(true):setHARMDetectionChance(4)
redIADS:getSAMSitesByNatoName('SA-11'):setGoLiveRangeInPercent(120):setHARMDetectionChance(2)
redIADS:getSAMSitesByNatoName('SA-15'):setGoLiveRangeInPercent(140):setHARMDetectionChance(5)
redIADS:getSAMSitesByNatoName('SA-19'):setGoLiveRangeInPercent(140):setHARMDetectionChance(2)
redIADS:getSAMSitesByNatoName('Hawk'):setActAsEW(true):setHARMDetectionChance(2)


--radio menu can be turned off once the system is tested and everything works as intended
--redIADS:addRadioMenu()
--activate the air defence system
redIADS:activate()

---------------------------------------------------BLUE------------------------------------------------------

--create the blue air defence system
blueIADS = SkynetIADS:create('Coalition Air defence forces')

--predefine EW & SAM-s
blueIADS:addSAMSitesByPrefix('BLUE-SAM')
blueIADS:addEarlyWarningRadarsByPrefix('BLUE-EW') --EW-s are also patriot STR-s

--blueIADS:getSAMSiteByGroupName('BLUE-SAM-Patriot-1'):setActAsEW(true):setHARMDetectionChance(100)
--blueIADS:getSAMSiteByGroupName('BLUE-SAM-Patriot-2'):setActAsEW(true):setHARMDetectionChance(100)

blueIADS:getSAMSitesByNatoName('SA-2'):setGoLiveRangeInPercent(170):setHARMDetectionChance(2)
blueIADS:getSAMSitesByNatoName('SA-3'):setGoLiveRangeInPercent(170):setHARMDetectionChance(2)
blueIADS:getSAMSitesByNatoName('SA-6'):setGoLiveRangeInPercent(120):setHARMDetectionChance(2)
blueIADS:getSAMSitesByNatoName('SA-8'):setGoLiveRangeInPercent(140):setHARMDetectionChance(2)
blueIADS:getSAMSitesByNatoName('SA-10'):setActAsEW(true):setHARMDetectionChance(4)
blueIADS:getSAMSitesByNatoName('SA-11'):setGoLiveRangeInPercent(120):setHARMDetectionChance(2)
blueIADS:getSAMSitesByNatoName('SA-15'):setGoLiveRangeInPercent(140):setHARMDetectionChance(5)
blueIADS:getSAMSitesByNatoName('SA-19'):setGoLiveRangeInPercent(140):setHARMDetectionChance(2)
blueIADS:getSAMSitesByNatoName('Hawk'):setActAsEW(true):setHARMDetectionChance(2)
blueIADS:getSAMSitesByNatoName('Patriot'):setActAsEW(true):setHARMDetectionChance(4)

--predefine patriots to be continously emitting and searching for targets
--blueIADS:getSAMSiteByGroupName('BLUE-SAM-Patriot-1'):setActAsEW(true):setHARMDetectionChance(100)
--blueIADS:getSAMSiteByGroupName('BLUE-SAM-Hawk-1'):setActAsEW(true):setHARMDetectionChance(100)

--local jammer = SkynetIADSJammer:create(Unit.getByName('Jammer-1'), blueIADS)
--jammer:masterArmOn()
--jammer:addRadioMenu()
--jammer:setMaximumEffectiveDistance(100)

--radio menu can be turned off once the system is tested and everything works as intended
--blueIADS:addRadioMenu()

--activate the air defence system
blueIADS:activate()

end


env.info("Slayer's IADS script loaded ...")
trigger.action.outText("Slayer's IADS script loaded ...", 10)
trigger.action.outSound("walkietalkie.ogg")